org.apache.ignite.internal.client.thin

## Enum ProtocolBitmaskFeature

- java.lang.Object
- - java.lang.Enum<ProtocolBitmaskFeature>
  - - org.apache.ignite.internal.client.thin.ProtocolBitmaskFeature

All Implemented Interfaces:
  Serializable, Comparable<ProtocolBitmaskFeature>

    public enum ProtocolBitmaskFeature
    extends Enum<ProtocolBitmaskFeature>

Defines supported bitmask features for thin client.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLUSTER_GROUPS` Cluster groups.
`CLUSTER_STATES` Adds cluster states besides ACTIVE and INACTIVE.
`EXECUTE_TASK_BY_NAME` Compute tasks (execute by task name).
`SERVICE_INVOKE` Invoke service methods.
`USER_ATTRIBUTES` Feature for user attributes.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EnumSet<ProtocolBitmaskFeature>` `allFeaturesAsEnumSet()`
`static EnumSet<ProtocolBitmaskFeature>` `enumSet(byte[] bytes)`
`int` `featureId()`
`static ProtocolBitmaskFeature` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProtocolBitmaskFeature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USER_ATTRIBUTES

    public static final ProtocolBitmaskFeature USER_ATTRIBUTES

Feature for user attributes.

#### EXECUTE_TASK_BY_NAME

    public static final ProtocolBitmaskFeature EXECUTE_TASK_BY_NAME

Compute tasks (execute by task name).

#### CLUSTER_STATES

    public static final ProtocolBitmaskFeature CLUSTER_STATES

Adds cluster states besides ACTIVE and INACTIVE.

#### CLUSTER_GROUPS

    public static final ProtocolBitmaskFeature CLUSTER_GROUPS

Cluster groups.

#### SERVICE_INVOKE

    public static final ProtocolBitmaskFeature SERVICE_INVOKE

Invoke service methods.

### Method Detail

#### values

    public static ProtocolBitmaskFeature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ProtocolBitmaskFeature c : ProtocolBitmaskFeature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ProtocolBitmaskFeature valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### featureId

    public int featureId()

Returns:
  Feature ID.

#### enumSet

    public static EnumSet<ProtocolBitmaskFeature> enumSet(byte[] bytes)

Parameters:
  `bytes` - Feature byte array.
Returns:
  Set of supported features.

#### allFeaturesAsEnumSet

    public static EnumSet<ProtocolBitmaskFeature> allFeaturesAsEnumSet()

Returns:
  All features as a set.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020